#pragma once

#include "XmlDocument.h"

#include <memory>

class HtmlDocument : public XmlDocument
{
public:
    HtmlDocument();

    virtual ~HtmlDocument() = default;

    static std::unique_ptr<HtmlDocument> Create();
};

using HtmlDocumentPtr = std::unique_ptr<HtmlDocument>;
